Subject: RE: bug#32883: 26.1; Emacs not response in shell mode

From: "alexei28" <[email-masked]>
Date: Sun, 30 Sep 2018 15:59:36 +0300

-----Original Message-----
From: Eli Zaretskii <[email-masked]> 
Sent: Sunday, September 30, 2018 15:52
To: alexei28 <[email-masked]>
Cc: [email-masked]
Subject: Re: bug#32883: 26.1; Emacs not response in shell mode

> From: "alexei28" <[email-masked]>
> Date: Sun, 30 Sep 2018 15:15:30 +0300

Please use "Reply to All" to reply to these messages, so that the bug
address gets a copy.  Thanks.

> > OK. Not mandatory to start "adb logcat -vtime". You can start any 
> > process that generate text in standard output.
> 
> Then I cannot reproduce the problem on my system.  On my system, while 
> the process runs and generates the text, I can switch to another 
> buffer and invoke Emacs commands, like "C-x C-f" to visit other files, 
> and any other command.  Are you saying that you cannot type any 
> command while the command producing text runs in *shell*?
> -  Yes, I can't do anything. Sometime "C-g" help to unlock this, but 
> sometimes not.

So if you do this:

  M-x shell
  dir

Then Emacs is locked up?  Does it stop being locked up after the "DIR"
command finishes?

  M-x shell
  Dir

Work nice. Not lock of Emacs after finish command. 

Does the problem happen if you invoke Emacs with "emacs -Q" from the cmd
command line?

Yes, it's happen when start Emacs by "emacs - Q"

> When you invoke "M-x shell", which shell runs in the *shell* buffer?
> On my system it is cmd.exe.
> 
> - Suppose I'm in the folder d:\temp. When I start "M-x shell" then 
> open shell with the next text:
> 
> Microsoft Windows [Version 10.0.17134.285]
> (c) 2018 Microsoft Corporation. All rights reserved.
> 
> d:\TEMP>
> 
> I think this is a "cmd.exe"

Yes, this is cmd.exe.